Index: tmp/org.txm.translate.rcp/.settings/org.eclipse.core.resources.prefs
===================================================================
--- tmp/org.txm.translate.rcp/.settings/org.eclipse.core.resources.prefs	(revision 2021)
+++ tmp/org.txm.translate.rcp/.settings/org.eclipse.core.resources.prefs	(revision 2022)
@@ -2,6 +2,8 @@
 encoding//OSGI-INF/l10n/bundle_fr.properties=UTF-8
 encoding/bundle.properties=UTF-8
 encoding/bundle_fr.properties=UTF-8
+encoding/bundle_ru.properties=UTF-8
+encoding/messages.properties=UTF-8
 encoding/messages2.properties=UTF-8
 encoding/messages2_fr.properties=UTF-8
 encoding/messages_fr.properties=UTF-8
Index: tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/devtools/CreateMessagesTable.java
===================================================================
--- tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/devtools/CreateMessagesTable.java	(revision 2021)
+++ tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/devtools/CreateMessagesTable.java	(revision 2022)
@@ -112,7 +112,7 @@
 	}
 	
 	public static void main(String[] args) throws Exception {
-		String prefix = "bundle"; // messages
+		String prefix = "messages"; // messages
 		System.out.println(new CreateMessagesTable("fr").createODT(prefix, new File(prefix+"_fr.odt")));
 	}
 }
Index: tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/devtools/ExportToOneFile.java
===================================================================
--- tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/devtools/ExportToOneFile.java	(revision 2021)
+++ tmp/org.txm.translate.rcp/src/org/txm/rcp/translate/devtools/ExportToOneFile.java	(revision 2022)
@@ -31,7 +31,7 @@
 		LinkedHashMap<File, PluginMessagesManager> h = wmm.getPluginMessages();
 
 		HashMap<String, Properties> mergedProps = new HashMap<String, Properties>();
-		String langs[] = {"", "_fr", "_ru"};
+		String langs[] = {"", "_fr"};
 
 		for (String lang : langs) {
 			mergedProps.put(lang, new Properties() {
Index: tmp/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java	(revision 2021)
+++ tmp/org.txm.core/src/java/org/txm/core/messages/TXMCoreMessages.java	(revision 2022)
@@ -17,6 +17,8 @@
 	
 	private static final String BUNDLE_NAME = "org.txm.core.messages.messages"; //$NON-NLS-1$
 	
+	public static String BaseOldParameters_96;
+
 	public static String common_absoluteFrequency;
 	public static String common_cancel;
 	public static String common_cols;
@@ -114,7 +116,6 @@
 	public static String htmlDirectoryIsMissingColonP0; 
 	public static String iOColon; 
 	public static String in; 
-	public static String informationsFromWorkspaceSelfElementNull; 
 	public static String initializationOfGroovyImportScriptRunner; 
 	public static String isMissing; 
 	public static String isNotAValidCQPIDForACorpusItMustBeInUppercaseCharacters; 
Index: tmp/org.txm.core/src/java/org/txm/objects/BaseOldParameters.java
===================================================================
--- tmp/org.txm.core/src/java/org/txm/objects/BaseOldParameters.java	(revision 2021)
+++ tmp/org.txm.core/src/java/org/txm/objects/BaseOldParameters.java	(revision 2022)
@@ -17,6 +17,7 @@
 import javax.xml.parsers.ParserConfigurationException;
 
 import org.eclipse.osgi.util.NLS;
+import org.txm.core.messages.TXMCoreMessages;
 import org.txm.utils.logger.Log;
 import org.txm.utils.xml.DomUtils;
 import org.w3c.dom.Document;
@@ -26,81 +27,81 @@
 
 public class BaseOldParameters implements IParameters  {
 
-	public static final DateFormat dateformat = new SimpleDateFormat("yyyy-MM-dd");
-	public static final DateFormat shortUKDateformat = new SimpleDateFormat("dd-MM-yy");
+	public static final DateFormat dateformat = new SimpleDateFormat("yyyy-MM-dd"); //$NON-NLS-1$
+	public static final DateFormat shortUKDateformat = new SimpleDateFormat("dd-MM-yy"); //$NON-NLS-1$
 
 	HashMap<String, Object> keyValueParameters = new HashMap<String, Object>();
 
-	public static final String ANNOTATE = "annotate";
-	public static final String CORPUS = "corpus";
-	public static final String CURRENTVERSION = "0.8.0";
-	public static final String DATE = "date";
-	public static final String DEFAULT = "default";
-	public static final String DESC = "desc";
-	public static final String ENCODING = "encoding";
-	public static final String LANG = "lang";
-	public static final String LINK = "link";
-	public static final String NAME = "name";
-	public static final String PARAM = "param";
-	public static final String QUERY = "query";
-	public static final String TARGET = "target";
-	public static final String TYPE = "BASE";
-	public static final String PARAMETERS = "parameters";
-	public static final String PARAMETERKEY = "key";
-	public static final String PARAMETERVALUE = "value";
+	public static final String ANNOTATE = "annotate"; //$NON-NLS-1$
+	public static final String CORPUS = "corpus"; //$NON-NLS-1$
+	public static final String CURRENTVERSION = "0.8.0"; //$NON-NLS-1$
+	public static final String DATE = "date"; //$NON-NLS-1$
+	public static final String DEFAULT = "default"; //$NON-NLS-1$
+	public static final String DESC = "desc"; //$NON-NLS-1$
+	public static final String ENCODING = "encoding"; //$NON-NLS-1$
+	public static final String LANG = "lang"; //$NON-NLS-1$
+	public static final String LINK = "link"; //$NON-NLS-1$
+	public static final String NAME = "name"; //$NON-NLS-1$
+	public static final String PARAM = "param"; //$NON-NLS-1$
+	public static final String QUERY = "query"; //$NON-NLS-1$
+	public static final String TARGET = "target"; //$NON-NLS-1$
+	public static final String TYPE = "BASE"; //$NON-NLS-1$
+	public static final String PARAMETERS = "parameters"; //$NON-NLS-1$
+	public static final String PARAMETERKEY = "key"; //$NON-NLS-1$
+	public static final String PARAMETERVALUE = "value"; //$NON-NLS-1$
 
-	public static final String TRUE = "true";
-	public static final String FALSE = "false";
+	public static final String TRUE = "true"; //$NON-NLS-1$
+	public static final String FALSE = "false"; //$NON-NLS-1$
 
-	public static String VALUE = "value";
+	public static String VALUE = "value"; //$NON-NLS-1$
 	public static void createEmptyParams(File paramFile, String basename) throws IOException
 	{
 		paramFile.getParentFile().mkdirs();
 		FileOutputStream fwriter = new FileOutputStream(paramFile);
-		BufferedWriter writer = new BufferedWriter(new OutputStreamWriter(fwriter, "UTF-8"));
+		BufferedWriter writer = new BufferedWriter(new OutputStreamWriter(fwriter, "UTF-8")); //$NON-NLS-1$
 
-		String AUTHOR = System.getProperty("user.name");
+		String AUTHOR = System.getProperty("user.name"); //$NON-NLS-1$
 		String DATE = dateformat.format(new Date());
-		DATE = DATE.replace("/", "-");
+		DATE = DATE.replace("/", "-"); //$NON-NLS-1$ //$NON-NLS-2$
 
-		String description = "&lt;pre&gt;&lt;br/&gt;"+"- "+basename+"&lt;br/&gt;- "+AUTHOR+"&lt;br/&gt;- "+DATE+"&lt;/pre&gt;";
+		String description = "&lt;pre&gt;&lt;br/&gt;"+"- "+basename+"&lt;br/&gt;- "+AUTHOR+"&lt;br/&gt;- "+DATE+"&lt;/pre&gt;"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$
 		String path = paramFile.getParentFile().getAbsolutePath();
-		path = path.replaceAll("&", "&amp;").replaceAll("<", "&lt;").replaceAll("\"", "&#34;");
-		writer.write("<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n");
-		writer.write("<import version=\""+CURRENTVERSION+"\" author=\""+AUTHOR+"\" date=\""+DATE+"\" desc=\"\" name=\""+basename+"\" rootDir=\""+path+"\" script=\"\">\n");
-		writer.write(" <linkGrp type=\"align\"></linkGrp>\n");
-		writer.write(" <corpora>\n");
-		writer.write("    <corpus desc=\""+description+"\" cqpid=\"\" encoding=\""+System.getProperty("file.encoding")+"\" lang=\""+Locale.getDefault().getLanguage()+"\" font=\"\" annotate=\"true\" name=\""+basename.toUpperCase()+"\">\n");
-		writer.write("       <tokenizer onlyThoseTests=\"false\"></tokenizer>\n");
-		writer.write("       <xslt xsl=\"\"></xslt>\n");
-		writer.write("       <pattributes></pattributes>\n");
-		writer.write("       <sattributes></sattributes>\n");
-		writer.write("       <biblios></biblios>\n");
-		writer.write("       <uis></uis>\n");
-		writer.write("       <editions default=\"default\">\n");
-		writer.write("       	<edition name=\"default\" mode=\"groovy\" page_break_tag=\"pb\" words_per_page=\"500\" build_edition=\"true\" script=\"pager.groovy\"/>\n");
-		writer.write("       </editions>\n");
-		writer.write("       <texts></texts>\n");
-		writer.write("       <queries></queries>\n");
-		writer.write("       <knowledgeRepositories></knowledgeRepositories>\n");
-		writer.write("       <preBuild></preBuild>\n");
-		writer.write("       <parameters></parameters>\n");
-		writer.write("    </corpus>\n");
-		writer.write(" </corpora>\n");
-		writer.write("</import>\n");
+		path = path.replaceAll("&", "&amp;").replaceAll("<", "&lt;").replaceAll("\"", "&#34;"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ //$NON-NLS-6$
+		writer.write("<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n"); //$NON-NLS-1$
+		writer.write("<import version=\""+CURRENTVERSION+"\" author=\""+AUTHOR+"\" date=\""+DATE+"\" desc=\"\" name=\""+basename+"\" rootDir=\""+path+"\" script=\"\">\n"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ //$NON-NLS-6$
+		writer.write(" <linkGrp type=\"align\"></linkGrp>\n"); //$NON-NLS-1$
+		writer.write(" <corpora>\n"); //$NON-NLS-1$
+		writer.write("    <corpus desc=\""+description+"\" cqpid=\"\" encoding=\""+System.getProperty("file.encoding")+"\" lang=\""+Locale.getDefault().getLanguage()+"\" font=\"\" annotate=\"true\" name=\""+basename.toUpperCase()+"\">\n"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$ //$NON-NLS-5$ //$NON-NLS-6$
+		writer.write("       <tokenizer onlyThoseTests=\"false\"></tokenizer>\n"); //$NON-NLS-1$
+		writer.write("       <xslt xsl=\"\"></xslt>\n"); //$NON-NLS-1$
+		writer.write("       <pattributes></pattributes>\n"); //$NON-NLS-1$
+		writer.write("       <sattributes></sattributes>\n"); //$NON-NLS-1$
+		writer.write("       <biblios></biblios>\n"); //$NON-NLS-1$
+		writer.write("       <uis></uis>\n"); //$NON-NLS-1$
+		writer.write("       <editions default=\"default\">\n"); //$NON-NLS-1$
+		writer.write("       	<edition name=\"default\" mode=\"groovy\" page_break_tag=\"pb\" words_per_page=\"500\" build_edition=\"true\" script=\"pager.groovy\"/>\n"); //$NON-NLS-1$
+		writer.write("       </editions>\n"); //$NON-NLS-1$
+		writer.write("       <texts></texts>\n"); //$NON-NLS-1$
+		writer.write("       <queries></queries>\n"); //$NON-NLS-1$
+		writer.write("       <knowledgeRepositories></knowledgeRepositories>\n"); //$NON-NLS-1$
+		writer.write("       <preBuild></preBuild>\n"); //$NON-NLS-1$
+		writer.write("       <parameters></parameters>\n"); //$NON-NLS-1$
+		writer.write("    </corpus>\n"); //$NON-NLS-1$
+		writer.write(" </corpora>\n"); //$NON-NLS-1$
+		writer.write("</import>\n"); //$NON-NLS-1$
 
 		writer.close();
 	}
 	
 	public static String getProjectName(File paramfile) throws ParserConfigurationException, SAXException, IOException {
 		Document root = DomUtils.load(paramfile);
-		return root.getDocumentElement().getAttribute("name");
+		return root.getDocumentElement().getAttribute("name"); //$NON-NLS-1$
 	}
 	
 	public static void main(String args[]) throws ParserConfigurationException, SAXException, IOException
 	{
-		String home = System.getProperty("user.home");
-		File paramFile = new File(home, "TXM/corpora/xmltxmpara/param.xml");
+		String home = System.getProperty("user.home"); //$NON-NLS-1$
+		File paramFile = new File(home, "TXM/corpora/xmltxmpara/param.xml"); //$NON-NLS-1$
 		BaseOldParameters p = new BaseOldParameters(paramFile);
 		p.load();
 		System.out.println(p.toString());
@@ -116,9 +117,9 @@
 	public HashMap<String, Element> corpora = new HashMap<String, Element>();
 	public Element corporaElement;
 	public Date date;
-	String DEFAULT_CQPLIMITS = "text";
+	String DEFAULT_CQPLIMITS = "text"; //$NON-NLS-1$
 	boolean DEFAULT_DOEDITION = true;
-	String DEFAULT_PAGEELEMENT = "pb";
+	String DEFAULT_PAGEELEMENT = "pb"; //$NON-NLS-1$
 
 	int DEFAULT_WORDSPERPAGE = 500;
 	public String description;
@@ -152,24 +153,24 @@
 		corporaElement.appendChild(corpusElem);
 
 		corpusElem.setAttribute(NAME, name);
-		corpusElem.setAttribute("cqpid", cqpid);
+		corpusElem.setAttribute("cqpid", cqpid); //$NON-NLS-1$
 		corpusElem.setAttribute(LANG, lang);
 		corpusElem.setAttribute(ENCODING, encoding);
-		corpusElem.setAttribute(ANNOTATE, ""+annotate);
+		corpusElem.setAttribute(ANNOTATE, ""+annotate); //$NON-NLS-1$
 
-		corpusElem.appendChild(corpusElem.getOwnerDocument().createElement("texts"));
-		corpusElem.appendChild(corpusElem.getOwnerDocument().createElement("queries"));
-		corpusElem.appendChild(corpusElem.getOwnerDocument().createElement("xslt"));
-		corpusElem.appendChild(corpusElem.getOwnerDocument().createElement("uis"));
-		corpusElem.appendChild(corpusElem.getOwnerDocument().createElement("preBuild"));
-		corpusElem.appendChild(corpusElem.getOwnerDocument().createElement("parameters"));
-		Element tokenizerElem = corpusElem.getOwnerDocument().createElement("tokenizer");
-		tokenizerElem.setAttribute("onlyThoseTests", FALSE);
+		corpusElem.appendChild(corpusElem.getOwnerDocument().createElement("texts")); //$NON-NLS-1$
+		corpusElem.appendChild(corpusElem.getOwnerDocument().createElement("queries")); //$NON-NLS-1$
+		corpusElem.appendChild(corpusElem.getOwnerDocument().createElement("xslt")); //$NON-NLS-1$
+		corpusElem.appendChild(corpusElem.getOwnerDocument().createElement("uis")); //$NON-NLS-1$
+		corpusElem.appendChild(corpusElem.getOwnerDocument().createElement("preBuild")); //$NON-NLS-1$
+		corpusElem.appendChild(corpusElem.getOwnerDocument().createElement("parameters")); //$NON-NLS-1$
+		Element tokenizerElem = corpusElem.getOwnerDocument().createElement("tokenizer"); //$NON-NLS-1$
+		tokenizerElem.setAttribute("onlyThoseTests", FALSE); //$NON-NLS-1$
 		corpusElem.appendChild(tokenizerElem);
-		corpusElem.appendChild(corpusElem.getOwnerDocument().createElement("biblios"));
-		corpusElem.appendChild(corpusElem.getOwnerDocument().createElement("pattributes"));
-		corpusElem.appendChild(corpusElem.getOwnerDocument().createElement("sattributes"));
-		Element editions = corpusElem.getOwnerDocument().createElement("editions");
+		corpusElem.appendChild(corpusElem.getOwnerDocument().createElement("biblios")); //$NON-NLS-1$
+		corpusElem.appendChild(corpusElem.getOwnerDocument().createElement("pattributes")); //$NON-NLS-1$
+		corpusElem.appendChild(corpusElem.getOwnerDocument().createElement("sattributes")); //$NON-NLS-1$
+		Element editions = corpusElem.getOwnerDocument().createElement("editions"); //$NON-NLS-1$
 		editions.setAttribute(DEFAULT, DEFAULT);
 		corpusElem.appendChild(editions);
 
@@ -218,13 +219,13 @@
 		Element editionsElement = getEditionsElement(corpusElem);
 		Element editionElement = editionsElement.getOwnerDocument().createElement("edition");//$NON-NLS-1$
 		editionElement.setAttribute(NAME, name);
-		editionElement.setAttribute("build_edition", ""+DEFAULT_DOEDITION);//$NON-NLS-1$
-		editionElement.setAttribute("page_break_tag", ""+DEFAULT_PAGEELEMENT);//$NON-NLS-1$
-		editionElement.setAttribute("words_per_page", ""+DEFAULT_WORDSPERPAGE);//$NON-NLS-1$
+		editionElement.setAttribute("build_edition", ""+DEFAULT_DOEDITION);//$NON-NLS-1$ //$NON-NLS-2$
+		editionElement.setAttribute("page_break_tag", ""+DEFAULT_PAGEELEMENT);//$NON-NLS-1$ //$NON-NLS-2$
+		editionElement.setAttribute("words_per_page", ""+DEFAULT_WORDSPERPAGE);//$NON-NLS-1$ //$NON-NLS-2$
 		editionElement.setAttribute("mode", mode);//$NON-NLS-1$
 		editionElement.setAttribute("script", script);//$NON-NLS-1$
-		editionElement.setAttribute("type", "html");//$NON-NLS-1$
-		editionElement.setAttribute("index", ".");//$NON-NLS-1$
+		editionElement.setAttribute("type", "html");//$NON-NLS-1$ //$NON-NLS-2$
+		editionElement.setAttribute("index", ".");//$NON-NLS-1$ //$NON-NLS-2$
 		editionsElement.appendChild(editionElement);
 
 		return editionElement;
@@ -366,7 +367,7 @@
 
 		Element source = texts.getOwnerDocument().createElement("source");//$NON-NLS-1$
 		source.setAttribute("file", sourceFile.getAbsolutePath());//$NON-NLS-1$
-		source.setAttribute("type", ".xml");//$NON-NLS-1$
+		source.setAttribute("type", ".xml");//$NON-NLS-1$ //$NON-NLS-2$
 		text.appendChild(source);
 		text.appendChild(texts.getOwnerDocument().createElement("editions"));//$NON-NLS-1$
 
@@ -471,7 +472,7 @@
 	}
 
 	public boolean getCleanTEMPDirectories(Element corpusElem) {
-		String str = ""+this.getKeyValueParameters().get("clean.directories");
+		String str = ""+this.getKeyValueParameters().get("clean.directories"); //$NON-NLS-1$ //$NON-NLS-2$
 		if (str == null || str.length() == 0) str = CLEANTEMPDIRSDEFAULT;
 		return TRUE.equals(str);
 	}
@@ -492,7 +493,7 @@
 			}
 		}
 		
-		System.out.println(NLS.bind("Warning no corpus element defined in the {0} file.",paramFile));
+		Log.warning(NLS.bind(TXMCoreMessages.BaseOldParameters_96, paramFile));
 		return null;
 	}
 
@@ -502,7 +503,7 @@
 			return (Element)(uiList.item(0));
 		} else {
 			Element context_limitsElement = uiElement.getOwnerDocument().createElement("context_limits");//$NON-NLS-1$
-			context_limitsElement.setAttribute("type", "list");//$NON-NLS-1$ $NON-NLS-2$
+			context_limitsElement.setAttribute("type", "list");//$NON-NLS-1$ //$NON-NLS-2$ $NON-NLS-2$
 			context_limitsElement.setTextContent(DEFAULT_CQPLIMITS);
 			uiElement.appendChild(context_limitsElement);
 			return context_limitsElement;
@@ -529,7 +530,7 @@
 			return (Element)(uiList.item(0));
 		} else {
 			Element wordElement = textualPlanEelement.getOwnerDocument().createElement("milestones");//$NON-NLS-1$
-			wordElement.setTextContent("");
+			wordElement.setTextContent(""); //$NON-NLS-1$
 			textualPlanEelement.appendChild(wordElement);
 			return wordElement;
 		}
@@ -551,7 +552,7 @@
 			return (Element)(uiList.item(0));
 		} else {
 			Element context_limitsElement = textualPlanEelement.getOwnerDocument().createElement("outsidetexttags");//$NON-NLS-1$
-			context_limitsElement.setAttribute("type", "list");//$NON-NLS-1$ $NON-NLS-2$
+			context_limitsElement.setAttribute("type", "list");//$NON-NLS-1$ //$NON-NLS-2$ $NON-NLS-2$
 			context_limitsElement.setTextContent("");//$NON-NLS-1$
 			textualPlanEelement.appendChild(context_limitsElement);
 			return context_limitsElement;
@@ -565,7 +566,7 @@
 			return (Element)(uiList.item(0));
 		} else {
 			Element element = textualPlanEelement.getOwnerDocument().createElement("outside_text_tags_and_keep_content");//$NON-NLS-1$
-			element.setAttribute("type", "list");//$NON-NLS-1$ $NON-NLS-2$
+			element.setAttribute("type", "list");//$NON-NLS-1$ //$NON-NLS-2$ $NON-NLS-2$
 			element.setTextContent("");//$NON-NLS-1$
 			textualPlanEelement.appendChild(element);
 			return element;
@@ -579,7 +580,7 @@
 			return (Element)(noteList.item(0));
 		} else {
 			Element element = textualPlanElement.getOwnerDocument().createElement("note");//$NON-NLS-1$
-			element.setAttribute("type", "list");//$NON-NLS-1$
+			element.setAttribute("type", "list");//$NON-NLS-1$ //$NON-NLS-2$
 			element.setTextContent("");//$NON-NLS-1$
 			textualPlanElement.appendChild(element);
 			return element;
@@ -665,7 +666,7 @@
 		NodeList excludeList = filter.getElementsByTagName("exclude");//$NON-NLS-1$
 		for (int i = 0 ; i < excludeList.getLength() ; i++) {
 			Element exclude = (Element) excludeList.item(i);
-			if ("xpath".equals(exclude.getAttribute("type")))//$NON-NLS-1$ $NON-NLS-2$
+			if ("xpath".equals(exclude.getAttribute("type")))//$NON-NLS-1$ //$NON-NLS-2$ $NON-NLS-2$
 				xpaths.add(exclude.getTextContent().trim());
 		}
 		return xpaths;
@@ -749,7 +750,7 @@
 	}
 
 	public Element getUIsElement(Element corpusElem) {
-		return getElement(corpusElem, "uis");
+		return getElement(corpusElem, "uis"); //$NON-NLS-1$
 	}
 
 	public int getWordsPerPage(String edition) {
@@ -774,14 +775,14 @@
 	public Element getXsltElement(Element corpusElem) {
 		Element elem = getElement(corpusElem, "xslt");//$NON-NLS-1$
 		if (!elem.hasAttribute("xsl"))//$NON-NLS-1$
-			elem.setAttribute("xsl", "");//$NON-NLS-1$
+			elem.setAttribute("xsl", "");//$NON-NLS-1$ //$NON-NLS-2$
 		return elem;
 	}
 
 	public HashMap<String, String> getXsltParams(Element corpusElem) {
 		Element elem = getElement(corpusElem, "xslt");//$NON-NLS-1$
 		if (!elem.hasAttribute("xsl"))//$NON-NLS-1$
-			elem.setAttribute("xsl", "");//$NON-NLS-1$
+			elem.setAttribute("xsl", "");//$NON-NLS-1$ //$NON-NLS-2$
 		HashMap<String, String> hash = new HashMap<String, String>();
 		NodeList params = elem.getElementsByTagName("param");//$NON-NLS-1$
 		for(int i = 0 ; i < params.getLength() ; i++) {
@@ -858,7 +859,7 @@
 			}
 		} catch (ParseException e) {
 			this.date = new Date(0);
-			System.out.println("Warning: can't parse date '"+root.getAttribute(DATE)+"' in file "+paramFile+": "+e);//$NON-NLS-1$
+			System.out.println("Warning: can't parse date '"+root.getAttribute(DATE)+"' in file "+paramFile+": "+e);//$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
 		}
 		this.version = root.getAttribute("version");//$NON-NLS-1$
 		this.name = root.getAttribute(NAME).toUpperCase();
@@ -869,7 +870,7 @@
 		this.scriptFile = root.getAttribute("script");//$NON-NLS-1$
 
 		// get Alignements
-		NodeList alignNodes = root.getElementsByTagName("linkGrp");
+		NodeList alignNodes = root.getElementsByTagName("linkGrp"); //$NON-NLS-1$
 		if (alignNodes.getLength() > 0) {
 			Element alignNode = (Element) alignNodes.item(0);
 			NodeList linkNodes = alignNode.getElementsByTagName(LINK);
@@ -884,7 +885,7 @@
 				String from = split[1].trim();
 				String to = split[2].trim();
 
-				links.put("#"+to+" #"+from, link);//$NON-NLS-1$
+				links.put("#"+to+" #"+from, link);//$NON-NLS-1$ //$NON-NLS-2$
 			}
 		}
 
@@ -918,7 +919,7 @@
 			this.saveKeyValueParameters(getParametersElement(getCorpusElement())); // save additional parameters
 			return DomUtils.save(root.getOwnerDocument(), paramFile);
 		} catch (Exception e) {
-			System.out.println("Fail to save parameters in "+paramFile+". Reason: "+e);//$NON-NLS-1$
+			System.out.println("Fail to save parameters in "+paramFile+". Reason: "+e);//$NON-NLS-1$ //$NON-NLS-2$
 			org.txm.utils.logger.Log.printStackTrace(e);
 		}
 		return false;
@@ -936,10 +937,10 @@
 	 */
 	@Override
 	public String toString() {
-		return "BaseOldParameters [name=" + name + ", date=" + date + ", author="
-				+ author + ", version=" + version + ", description="
-				+ description + ",\n links=" + links + ", corpora=" + corpora
-				+ ",\n root=" + root + ", corporaElement=" + corporaElement + ", keyValueParameters="+super.toString()+"]";
+		return "BaseOldParameters [name=" + name + ", date=" + date + ", author=" //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+				+ author + ", version=" + version + ", description=" //$NON-NLS-1$ //$NON-NLS-2$
+				+ description + ",\n links=" + links + ", corpora=" + corpora //$NON-NLS-1$ //$NON-NLS-2$
+				+ ",\n root=" + root + ", corporaElement=" + corporaElement + ", keyValueParameters="+super.toString()+"]"; //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ //$NON-NLS-4$
 	}
 
 	public String getCQPLimits() {
@@ -959,7 +960,7 @@
 		if (uiElement == null) {
 			Element uisElement = getUIsElement(this.getCorpusElement());
 			uiElement = uisElement.getOwnerDocument().createElement("ui");//$NON-NLS-1$
-			uiElement.setAttribute("command", "textualplans");//$NON-NLS-1$
+			uiElement.setAttribute("command", "textualplans");//$NON-NLS-1$ //$NON-NLS-2$
 			uisElement.appendChild(uiElement);
 		}
 		return uiElement;
@@ -973,12 +974,12 @@
 		Element corpusElement = getCorpusElement();
 		if (corpusElement == null) return "";//$NON-NLS-1$
 		Element editionsElement = getEditionsElement(corpusElement);
-		if (editionsElement == null) return "";
+		if (editionsElement == null) return ""; //$NON-NLS-1$
 		Element editionElement = getEditionDefinitionElement(editionsElement, "facs"); //$NON-NLS-1$
-		if (editionElement == null) return "";
+		if (editionElement == null) return ""; //$NON-NLS-1$
 
 		String value = editionElement.getAttribute("images_directory");//$NON-NLS-1$
-		if (value == null || value.length() == 0) return "";
+		if (value == null || value.length() == 0) return ""; //$NON-NLS-1$
 
 		return value;
 	}
@@ -998,7 +999,7 @@
 	}
 	
 	public boolean getSkipTokenization() {
-		return "true".equals(getTokenizerElement(getCorpusElement()).getAttribute("skip")); // $NON-NLS-1$ $NON-NLS-2$
+		return "true".equals(getTokenizerElement(getCorpusElement()).getAttribute("skip")); // $NON-NLS-1$ $NON-NLS-2$ //$NON-NLS-1$ //$NON-NLS-2$
 	}
 	
 	public void setSkipTokenization(boolean skip) {
@@ -1085,8 +1086,8 @@
 		}
 		
 		if (this.getCQPLimits() != null) {
-			project.getCommandPreferences("concordance").set("context_limits_type", "list"); //$NON-NLS-1$ $NON-NLS-2$
-			project.getCommandPreferences("concordance").set("context_limits", this.getCQPLimits()); //$NON-NLS-1$ $NON-NLS-2$
+			project.getCommandPreferences("concordance").set("context_limits_type", "list"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$ $NON-NLS-2$
+			project.getCommandPreferences("concordance").set("context_limits", this.getCQPLimits()); //$NON-NLS-1$ //$NON-NLS-2$ $NON-NLS-2$
 		}
 		
 		NodeList nodes = this.getTokenizerElement(this.getCorpusElement()).getElementsByTagName("param"); //$NON-NLS-1$
@@ -1095,11 +1096,11 @@
 			project.addTokenizerParameter(paramElement.getAttribute("name"), paramElement.getTextContent()); //$NON-NLS-1$
 		}
 		project.addTokenizerParameter("word_tags", this.getWordElement().getTextContent()); //$NON-NLS-1$
-		project.addTokenizerParameter("onlyThoseTests", "false"); //$NON-NLS-1$ $NON-NLS-2$
+		project.addTokenizerParameter("onlyThoseTests", "false"); //$NON-NLS-1$ //$NON-NLS-2$ $NON-NLS-2$
 		project.addTokenizerParameter("doTokenizeStep", Boolean.toString(!this.getSkipTokenization())); //$NON-NLS-1$
 		
 		project.setXslt(this.getXsltElement(this.getCorpusElement()).getAttribute("xsl")); //$NON-NLS-1$
-		project.setAnnotate("true".equals(this.getCorpusElement().getAttribute("annotate"))); //$NON-NLS-1$ $NON-NLS-2$
+		project.setAnnotate("true".equals(this.getCorpusElement().getAttribute("annotate"))); //$NON-NLS-1$ //$NON-NLS-2$ $NON-NLS-2$
 		project.setCleanAfterBuild(this.getCleanTEMPDirectories(this.getCorpusElement()));
 	}
 }
